//*************************************************************************************
// mars.vs
// VS Project File, Format Version 2.1
//*************************************************************************************
PROJECT
{
NAME = "mars"
DESCR = ""
AUTHOR = ""
CONTACT = ""
DOC_VERSION = 1, 0
TIME_FORMAT = 0
USE_SCENE_RATE = 0
FRAME_RATE = 0.000000
ASPECT = 0.000000, 0.000000
RESOLUTION = 0, 0
FIT_MODE = 1.000000
BLACK_FIELDS = 1
LIVE.BACKGROUND
{
	CUSTOM = 0
	COLOR = 190, 190, 194
}
//
FOLDER.PARAM|LOCAL
{
	ITEMS
	{
		//.
		PARAM.ThisScene
		{
			TYPE = STRING
			NAME = "ThisScene"
			LOCAL = 1
			CURRENT = SCENE.'mars.3d'
			OPTIONS
			{
				MULTILINE = 0
			}
			VALUE = SCENE.'mars.3d'
		}
		//.
		PARAM.ThisSceneName
		{
			TYPE = STRING
			NAME = "ThisSceneName"
			LOCAL = 1
			CURRENT = mars.3d
			OPTIONS
			{
				MULTILINE = 0
			}
			VALUE = mars.3d
		}
	}
	EXPAND = 0
}
VERSION = 2, 1
//
PATH_LIST.PATH_SET
{
	ITEMS
	{
	}
	EXPAND = 0
}
//=====================================================================================
//
FOLDER.DOCUMENT
{
	ITEMS
	{
		// 
		DOC_LIST.00
		{
			TYPE = SCENE
			NAME = "3D "
			DESCR = "  : 3D  (*.3d)"
			ITEMS
			{
				//
				DOCUMENT.00
				{
					TYPE = SCENE
					NAME = "mars.3d"
					OPEN = 1
					ENABLE.CLOSE = 0
				}
			}
			EXPAND = 1
		}
		// 
		DOC_LIST.01
		{
			TYPE = TEXT
			NAME = ""
			DESCR = "  :  (*.txt; *.ini; *.inf)"
			ITEMS
			{
				//
				DOCUMENT.00
				{
					TYPE = TEXT
					NAME = "readme.txt"
					OPEN = 1
					ENABLE.CLOSE = 0
				}
			}
			EXPAND = 1
		}
	}
	EXPAND = 1
}
//=====================================================================================
//
FOLDER.ACTION
{
	TYPE = ACTION
	ITEMS
	{
		//
		ACTION.00
		{
			TYPE = UNILIST
			NAME = "<STARTUP>"
			DESCR = "  "
			ICON
			{
				NAME = "SYSTEM"
				SOURCE = IMAGE_LIST
			}
			BODY()
			/**BODY**/
			{
				$<Action00>
				{
					PLAY = 1
					WAIT = STOP
				}
				$<Action01>
				{
					PLAY = 1
					WAIT = STOP
				}
				$<Action02>
				{
					PLAY = 1
					WAIT = STOP
				}
				$<Action03>
				{
					PLAY = 1
					WAIT = STOP
				}
			}
			/**BODY**/
			//.
			PARAM.00
			{
				TYPE = ITEM
				NAME = "Action00"
				LOCAL = 1
				FORMAT = 0
				HIDE = 1
				CURRENT = $<ThisProj>.ACTION.'Init'
				OPTIONS
				{
					CLASS = ACTION
				}
				VALUE = $<ThisProj>.ACTION.'Init'
			}
			//.
			PARAM.01
			{
				TYPE = ITEM
				NAME = "Action01"
				LOCAL = 1
				FORMAT = 0
				HIDE = 1
				CURRENT = $<ThisProj>.ACTION.'  '
				OPTIONS
				{
					CLASS = ACTION
				}
				VALUE = $<ThisProj>.ACTION.'  '
			}
			//.
			PARAM.02
			{
				TYPE = ITEM
				NAME = "Action02"
				LOCAL = 1
				FORMAT = 0
				HIDE = 1
				CURRENT = $<ThisProj>.ACTION.' 01'
				OPTIONS
				{
					CLASS = ACTION
				}
				VALUE = $<ThisProj>.ACTION.' 01'
			}
			//.
			PARAM.03
			{
				TYPE = ITEM
				NAME = "Action03"
				LOCAL = 1
				FORMAT = 0
				HIDE = 1
				CURRENT = $<ThisProj>.ACTION.'  0'
				OPTIONS
				{
					CLASS = ACTION
				}
				VALUE = $<ThisProj>.ACTION.'  0'
			}
		}
		//
		ACTION.01
		{
			TYPE = SCRIPT
			NAME = "Init"
			ICON
			{
				NAME = "SCRIPT"
				SOURCE = IMAGE_LIST
			}
			BODY()
			/**BODY**/
			{
				:DATA.OPEN = 'mars.3d'
				:ACTION.START = 'DefineTracks' 
				:TRACK.transparencyActor.TARGET = '@:DATA.MATERIAL.Video_01.TRANSP',4
				:TRACK.transparencyActor.GOTO = 0 
			}
			/**BODY**/
		}
		//
		ACTION.02
		{
			TYPE = SCRIPT
			NAME = "DefineTracks"
			ICON
			{
				NAME = "SCRIPT"
				SOURCE = IMAGE_LIST
			}
			BODY()
			/**BODY**/
			{
				:TRACK.rover.NODE = RoverBody
				:TRACK.drill.NODE = Drill1_X
				:TRACK.device.NODE = Device1_X
				:SYS.DELAY = 0.1
				:TRACK.rover.START = 150
				:TRACK.drill.START = 150
				:TRACK.device.START = 160
			}
			/**BODY**/
		}
		//
		ACTION.03
		{
			TYPE = SCRIPT
			NAME = "WakeUp"
			ICON
			{
				NAME = "SCRIPT"
				SOURCE = IMAGE_LIST
			}
			BODY()
			/**BODY**/
			{
				:TRACK.drill.GOTO = 0
				:TRACK.rover.GOTO = 0
				:SYS.WAIT = TRACK.rover
				:TRACK.drill.START = 160
			}
			/**BODY**/
		}
		//
		ACTION.04
		{
			TYPE = SCRIPT
			NAME = "Sleep"
			ICON
			{
				NAME = "SCRIPT"
				SOURCE = IMAGE_LIST
			}
			BODY()
			/**BODY**/
			{
				:TRACK.rover.GOTO = 150
				:TRACK.drill.GOTO = 150
			}
			/**BODY**/
		}
		//
		ACTION.05
		{
			TYPE = SCRIPT
			NAME = "DrillStart"
			ICON
			{
				NAME = "SCRIPT"
				SOURCE = IMAGE_LIST
			}
			BODY()
			/**BODY**/
			{
				:TRACK.drill.GOTO = 280
			}
			/**BODY**/
		}
		//
		ACTION.06
		{
			TYPE = SCRIPT
			NAME = "DrillEnd"
			ICON
			{
				NAME = "SCRIPT"
				SOURCE = IMAGE_LIST
			}
			BODY()
			/**BODY**/
			{
				:TRACK.drill.GOTO = 160
			}
			/**BODY**/
		}
		//
		ACTION.07
		{
			TYPE = SCRIPT
			NAME = "TestStart"
			ICON
			{
				NAME = "SCRIPT"
				SOURCE = IMAGE_LIST
			}
			BODY()
			/**BODY**/
			{
				:TRACK.device.GOTO = 220
			}
			/**BODY**/
		}
		//
		ACTION.08
		{
			TYPE = SCRIPT
			NAME = "TestEnd"
			ICON
			{
				NAME = "SCRIPT"
				SOURCE = IMAGE_LIST
			}
			BODY()
			/**BODY**/
			{
				:TRACK.device.GOTO = 160
			}
			/**BODY**/
		}
		//
		ACTION.09
		{
			TYPE = SCRIPT
			NAME = "Go to 0 Show"
			ICON
			{
				NAME = "SCRIPT"
				SOURCE = RESOURCE
			}
			BODY()
			/**BODY**/
			{
				:TRACK.transparencyActor.GOTO = 0
			}
			/**BODY**/
		}
		//
		ACTION.10
		{
			TYPE = SCRIPT
			NAME = "Go to 25 Hide"
			ICON
			{
				NAME = "SCRIPT"
				SOURCE = RESOURCE
			}
			BODY()
			/**BODY**/
			{
				:TRACK.transparencyActor.GOTO = 25
			}
			/**BODY**/
		}
		//.
		GROUP.11
		{
			TYPE = ACTION
			NAME = ""
			ITEMS
			{
				//
				ACTION.00
				{
					TYPE = SCRIPT
					NAME = "  "
					DESCR = "  "
					INFO = "     <STARTUP> ,  ''        (     - )."
					ICON
					{
						NAME = "ShotGeneral.ico"
						SOURCE = FILE
					}
					OVERLAY
					{
						ICON
						{
							NAME = "ov.New.ico"
							SOURCE = FILE
						}
					}
					BODY()
					/**BODY**/
					{
						RENDER.VIDEO.$< >.CREATE = 1
						RENDER.VIDEO.$< >.FORMAT = $<->, $<>, $<>, CROP, $< >, $< >
						IF."$<>==AUDIO"
						{
							RENDER.VIDEO.$< >
							{	
								VOLUME = $<>
								DELAY = $<>
							}
						}
						IF.$<> 
						{
							RENDER.VIDEO.$< >.START = 1  
						  SYS.OUTPUT = " '$< /v>'   "
						}
						IFNOT.$<> 
						{
						  SYS.OUTPUT = " '$< /v>'     "
						}
						IF."$<>"
						{
							$<>.SOURCE = $< >
							$<>.MIPMAPLODBIAS = $<>
							SYS.OUTPUT = " '$< /v>'   $</v>"
						}                
					}
					/**BODY**/
					//.
					PARAM.00
					{
						TYPE = VARIANT
						NAME = " "
						DESCR = "  '' "
						INFO = "         ' '."
						LOCAL = 1
						FORMAT = 0
						SIGNIFICANCE = 1
						CURRENT = LIVE_1
						OPTIONS
						{
							TYPE = STRING
							ITEM.00
							{
								NAME = "  1"
								VALUE = LIVE_1
							}
							ITEM.01
							{
								NAME = "  2"
								VALUE = LIVE_2
							}
							ITEM.02
							{
								NAME = "  3"
								VALUE = LIVE_3
							}
							ITEM.03
							{
								NAME = "  4"
								VALUE = LIVE_4
							}
							ITEM.04
							{
								NAME = "  5"
								VALUE = LIVE_5
							}
							ITEM.05
							{
								NAME = "  6"
								VALUE = LIVE_6
							}
							ITEM.06
							{
								NAME = "  7"
								VALUE = LIVE_7
							}
							ITEM.07
							{
								NAME = "  8"
								VALUE = LIVE_8
							}
						}
						VALUE = LIVE_1
					}
					//.
					PARAM.01
					{
						TYPE = VARIANT
						NAME = ""
						DESCR = " -"
						LOCAL = 1
						FORMAT = 0
						CURRENT = AUDIO
						OPTIONS
						{
							TYPE = STRING
							ITEM.00
							{
								NAME = ""
								VALUE = AUDIO
							}
							ITEM.01
							{
								NAME = ""
								VALUE = NOAUDIO
							}
						}
						//Rule
						RULE.00
						{
							VALUE = NOAUDIO
							CONDITION = "=="
							DISABLE = '', '', '', ''
						}
						VALUE = AUDIO
					}
					//.
					PARAM.02
					{
						TYPE = NUMBER
						NAME = ""
						DESCR = "  ( )"
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = 50
						OPTIONS
						{
							STEP = 1.000000
							MIN = 0.000000
							MAX = 100.000000
						}
						VALUE = 50
					}
					//.
					PARAM.03
					{
						TYPE = NUMBER
						NAME = ""
						DESCR = "    "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = 0
						OPTIONS
						{
							STEP = 1.000000
							MIN = 0.000000
							MAX = 10000.000000
						}
						VALUE = 0
					}
					//.
					PARAM.04
					{
						TYPE = VARIANT
						NAME = "-"
						DESCR = "  "
						LOCAL = 1
						CURRENT = ALPHA
						OPTIONS
						{
							TYPE = STRING
							ITEM.00
							{
								NAME = ""
								VALUE = ALPHA
							}
							ITEM.01
							{
								NAME = ""
								VALUE = NOALPHA
							}
						}
						VALUE = ALPHA
					}
					//.
					PARAM.05
					{
						TYPE = VARIANT
						NAME = ""
						DESCR = "  (MipMapping)  -"
						LOCAL = 1
						FORMAT = 0
						CURRENT = NOMIPMAP
						OPTIONS
						{
							TYPE = STRING
							ITEM.00
							{
								NAME = ""
								VALUE = MIPMAP
							}
							ITEM.01
							{
								NAME = ""
								VALUE = NOMIPMAP
							}
						}
						//Rule
						RULE.00
						{
							VALUE = NOMIPMAP
							CONDITION = "=="
							DISABLE = ''
						}
						VALUE = NOMIPMAP
					}
					//.
					PARAM.06
					{
						TYPE = VARIANT
						NAME = ""
						DESCR = "   "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = 0
						OPTIONS
						{
							TYPE = FLOAT
							ITEM.00
							{
								NAME = ""
								VALUE = -0.5
							}
							ITEM.01
							{
								NAME = ""
								VALUE = 0
							}
							ITEM.02
							{
								NAME = ""
								VALUE = 0.5
							}
						}
						VALUE = 0
					}
					//.
					PARAM.07
					{
						TYPE = STRING
						NAME = ""
						DESCR = "   "
						LOCAL = 1
						FORMAT = 0
						CURRENT = "-"
						OPTIONS
						{
							MULTILINE = 0
						}
						VALUE = "-"
					}
					//.
					PARAM.08
					{
						TYPE = VARIANT
						NAME = " "
						DESCR = "   "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = MPEG2
						OPTIONS
						{
							TYPE = STRING
							ITEM.00
							{
								NAME = ""
								VALUE = INTERVALDEFAULT
							}
							ITEM.01
							{
								NAME = "MPEG2"
								VALUE = MPEG2
							}
						}
						VALUE = MPEG2
					}
					//.
					PARAM.09
					{
						TYPE = VARIANT
						NAME = " "
						DESCR = "  YUV  RGB"
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = BT709
						OPTIONS
						{
							TYPE = STRING
							ITEM.00
							{
								NAME = "BT 601"
								VALUE = BT601
							}
							ITEM.01
							{
								NAME = "BT 709"
								VALUE = BT709
							}
						}
						VALUE = BT709
					}
					//.
					PARAM.10
					{
						TYPE = BOOL
						NAME = ""
						DESCR = "     "
						LOCAL = 1
						FORMAT = 0
						CURRENT = 1
						OPTIONS
						{
							TYPE = INTEGER
							ITEM.00
							{
								NAME = ""
								VALUE = 1
							}
							ITEM.01
							{
								NAME = ""
								VALUE = 0
							}
						}
						VALUE = 1
					}
					//.
					PARAM.11
					{
						TYPE = ITEM
						NAME = ""
						DESCR = " ,     -"
						INFO = "     ,        ' '.  -    ."
						LOCAL = 1
						FORMAT = 0
						SIGNIFICANCE = 1
						CURRENT = $<ThisScene>.MATERIAL.'Video_01'
						OPTIONS
						{
							CLASS = MATERIAL, GROUP|MATERIAL
						}
						VALUE = $<ThisScene>.MATERIAL.'Video_01'
					}
				}
			}
			EXPAND = 0
		}
		//.
		GROUP.12
		{
			TYPE = ACTION
			NAME = ""
			ITEMS
			{
				//
				ACTION.00
				{
					TYPE = SCRIPT
					NAME = " 01"
					DESCR = "    "
					INFO = "         ."
					ICON
					{
						NAME = "Node.ico"
						SOURCE = FILE
					}
					OVERLAY
					{
						ICON
						{
							NAME = "ov.Play.ico"
							SOURCE = FILE
						}
					}
					BODY()
					/**BODY**/
					{
						IFNOT."$<>"
						{
							SYS.OUTPUT = "    "
							RETURN = 1
						}
						IF."$<>==SEEK"
						{
							$<>.SEEK = $<>	
							SYS.OUTPUT = "$</v>    '$</v>'"  
							RETURN = 1
						}
						IF."$<>==PLAY"
						{
							$<>.PLAY
							{
								RANGE = $<>, $<> 
								SPEED = $<>
								REPEAT = $<>
							}
							IF.$<>.$<>.PLAY.REPEAT = -1
							$<>.PLAY = 1
							SYS.OUTPUT = "$</v>    '$</v>'  '$</v>' ($<> (-))"
							IFNOT.$<>
							{
								$<>.WAIT = STOP
								SYS.OUTPUT = "$</v> "  
							}
							RETURN = 1
						}
						IF."$<>==STOP"
						{
							$<>.STOP = 1
							SYS.OUTPUT = "$</v> "  
							RETURN = 1
						}
						IF."$<>==PLAY_TO"
						{
							$<>.PLAY.SPEED = $<>
							$<>.PLAY_TO = $<>
							SYS.OUTPUT = "$</v>     '$</v>'"
						}
						$<>.WAIT = STOP
						SYS.OUTPUT = "$</v> "  
					}
					/**BODY**/
					//.
					PARAM.00
					{
						TYPE = ITEM
						NAME = ""
						DESCR = "     "
						LOCAL = 1
						FORMAT = 0
						SIGNIFICANCE = 1
						CURRENT = $<ThisScene>.NODE.'Dummy_cam'
						OPTIONS
						{
							CLASS = NODE, GROUP|NODE
						}
						VALUE = $<ThisScene>.NODE.'Dummy_cam'
					}
					//.
					PARAM.01
					{
						TYPE = VARIANT
						NAME = ""
						DESCR = "    "
						LOCAL = 1
						FORMAT = 0
						SIGNIFICANCE = 1
						CURRENT = SEEK
						OPTIONS
						{
							TYPE = STRING
							ITEM.00
							{
								NAME = ""
								VALUE = PLAY
							}
							ITEM.01
							{
								NAME = ""
								VALUE = STOP
							}
							ITEM.02
							{
								NAME = "  "
								VALUE = PLAY_TO
							}
							ITEM.03
							{
								NAME = " "
								VALUE = SEEK
							}
						}
						//Rule
						RULE.00
						{
							VALUE = STOP
							CONDITION = "=="
							DISABLE = '', '', '', '', '', ''
						}
						//Rule
						RULE.01
						{
							VALUE = PLAY
							CONDITION = "=="
							DISABLE = ''
						}
						//Rule
						RULE.02
						{
							VALUE = PLAY_TO
							CONDITION = "=="
							DISABLE = '', '', '', ''
						}
						//Rule
						RULE.03
						{
							VALUE = SEEK
							CONDITION = "=="
							DISABLE = '', '', '', '', ''
						}
						VALUE = SEEK
					}
					//.
					PARAM.02
					{
						TYPE = TIME
						NAME = ""
						DESCR = "  "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						SIGNIFICANCE = 1
						CURRENT = 0
						OPTIONS
						{
							STEP = 0.040000
							MIN = 0.000000
						}
						VALUE = 0
					}
					//.
					PARAM.03
					{
						TYPE = TIME
						NAME = ""
						DESCR = "   (In)"
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						SIGNIFICANCE = 1
						CURRENT = 0
						OPTIONS
						{
							STEP = 0.040000
							MIN = 0.000000
						}
						VALUE = 0
					}
					//.
					PARAM.04
					{
						TYPE = TIME
						NAME = ""
						DESCR = "   (Out)"
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						SIGNIFICANCE = 1
						CURRENT = 1
						OPTIONS
						{
							STEP = 0.040000
							MIN = 0.000000
						}
						VALUE = 1
					}
					//.
					PARAM.05
					{
						TYPE = FLOAT
						NAME = ""
						DESCR = "  ( ,  <0)"
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = 1
						OPTIONS
						{
							STEP = 0.050000
						}
						VALUE = 1
					}
					//.
					PARAM.06
					{
						TYPE = VARIANT
						NAME = ""
						DESCR = " "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = 0
						OPTIONS
						{
							TYPE = NUMBER
							ITEM.00
							{
								NAME = ""
								VALUE = 0
							}
							ITEM.01
							{
								NAME = ""
								VALUE = 1
							}
						}
						//Rule
						RULE.00
						{
							VALUE = 1
							CONDITION = "=="
							DISABLE = ''
						}
						VALUE = 0
					}
					//.
					PARAM.07
					{
						TYPE = NUMBER
						NAME = ""
						DESCR = "  "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = 1
						OPTIONS
						{
							STEP = 1.000000
							MIN = 1.000000
						}
						VALUE = 1
					}
				}
				//
				ACTION.01
				{
					TYPE = SCRIPT
					NAME = ""
					DESCR = "    "
					INFO = "         ."
					ICON
					{
						NAME = "Node.ico"
						SOURCE = FILE
					}
					OVERLAY
					{
						ICON
						{
							NAME = "ov.Play.ico"
							SOURCE = FILE
						}
					}
					BODY()
					/**BODY**/
					{
						IFNOT."$<>"
						{
							SYS.OUTPUT = "    "
							RETURN = 1
						}
						IF."$<>==SEEK"
						{
							$<>.SEEK = $<>	
							SYS.OUTPUT = "$</v>    '$</v>'"  
							RETURN = 1
						}
						IF."$<>==PLAY"
						{
							$<>.PLAY
							{
								RANGE = $<>, $<> 
								SPEED = $<>
								REPEAT = $<>
							}
							IF.$<>.$<>.PLAY.REPEAT = -1
							$<>.PLAY = 1
							SYS.OUTPUT = "$</v>    '$</v>'  '$</v>' ($<> (-))"
							IFNOT.$<>
							{
								$<>.WAIT = STOP
								SYS.OUTPUT = "$</v> "  
							}
							RETURN = 1
						}
						IF."$<>==STOP"
						{
							$<>.STOP = 1
							SYS.OUTPUT = "$</v> "  
							RETURN = 1
						}
						IF."$<>==PLAY_TO"
						{
							$<>.PLAY.SPEED = $<>
							$<>.PLAY_TO = $<>
							SYS.OUTPUT = "$</v>     '$</v>'"
						}
						$<>.WAIT = STOP
						SYS.OUTPUT = "$</v> "  
					}
					/**BODY**/
					//.
					PARAM.00
					{
						TYPE = ITEM
						NAME = ""
						DESCR = "     "
						LOCAL = 1
						FORMAT = 0
						SIGNIFICANCE = 1
						CURRENT = $<ThisScene>.NODE.'Dummy_cam'
						OPTIONS
						{
							CLASS = NODE, GROUP|NODE
						}
						VALUE = $<ThisScene>.NODE.'Dummy_cam'
					}
					//.
					PARAM.01
					{
						TYPE = VARIANT
						NAME = ""
						DESCR = "    "
						LOCAL = 1
						FORMAT = 0
						SIGNIFICANCE = 1
						CURRENT = PLAY
						OPTIONS
						{
							TYPE = STRING
							ITEM.00
							{
								NAME = ""
								VALUE = PLAY
							}
							ITEM.01
							{
								NAME = ""
								VALUE = STOP
							}
							ITEM.02
							{
								NAME = "  "
								VALUE = PLAY_TO
							}
							ITEM.03
							{
								NAME = " "
								VALUE = SEEK
							}
						}
						//Rule
						RULE.00
						{
							VALUE = STOP
							CONDITION = "=="
							DISABLE = '', '', '', '', '', ''
						}
						//Rule
						RULE.01
						{
							VALUE = PLAY
							CONDITION = "=="
							DISABLE = ''
						}
						//Rule
						RULE.02
						{
							VALUE = PLAY_TO
							CONDITION = "=="
							DISABLE = '', '', '', ''
						}
						//Rule
						RULE.03
						{
							VALUE = SEEK
							CONDITION = "=="
							DISABLE = '', '', '', '', ''
						}
						VALUE = PLAY
					}
					//.
					PARAM.02
					{
						TYPE = TIME
						NAME = ""
						DESCR = "  "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						SIGNIFICANCE = 1
						CURRENT = 0
						OPTIONS
						{
							STEP = 0.040000
							MIN = 0.000000
						}
						VALUE = 0
					}
					//.
					PARAM.03
					{
						TYPE = TIME
						NAME = ""
						DESCR = "   (In)"
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						SIGNIFICANCE = 1
						CURRENT = 0
						OPTIONS
						{
							STEP = 0.040000
							MIN = 0.000000
						}
						VALUE = 0
					}
					//.
					PARAM.04
					{
						TYPE = TIME
						NAME = ""
						DESCR = "   (Out)"
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						SIGNIFICANCE = 1
						CURRENT = 11.96
						OPTIONS
						{
							STEP = 0.040000
							MIN = 0.000000
						}
						VALUE = 11.96
					}
					//.
					PARAM.05
					{
						TYPE = FLOAT
						NAME = ""
						DESCR = "  ( ,  <0)"
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = 1
						OPTIONS
						{
							STEP = 0.050000
						}
						VALUE = 1
					}
					//.
					PARAM.06
					{
						TYPE = VARIANT
						NAME = ""
						DESCR = " "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = 1
						OPTIONS
						{
							TYPE = NUMBER
							ITEM.00
							{
								NAME = ""
								VALUE = 0
							}
							ITEM.01
							{
								NAME = ""
								VALUE = 1
							}
						}
						//Rule
						RULE.00
						{
							VALUE = 1
							CONDITION = "=="
							DISABLE = ''
						}
						VALUE = 1
					}
					//.
					PARAM.07
					{
						TYPE = NUMBER
						NAME = ""
						DESCR = "  "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = 1
						OPTIONS
						{
							STEP = 1.000000
							MIN = 1.000000
						}
						VALUE = 1
					}
				}
				//
				ACTION.02
				{
					TYPE = UNILIST
					NAME = ""
					ICON
					{
						NAME = "UNILIST"
						SOURCE = RESOURCE
					}
					BODY()
					/**BODY**/
					{
						$<Action00>
						{
							PLAY = 1
							WAIT = STOP
						}
						<NOP> = 1
						$<Action01>
						{
							PLAY = 1
							WAIT = STOP
						}
						<NOP> = 1
						$<Action02>
						{
							PLAY = 1
							WAIT = STOP
						}
					}
					/**BODY**/
					//.
					PARAM.00
					{
						TYPE = ITEM
						NAME = "Action00"
						LOCAL = 1
						FORMAT = 0
						HIDE = 1
						CURRENT = $<ThisProj>.ACTION.'Go to 0 Show'
						OPTIONS
						{
							CLASS = ACTION
						}
						VALUE = $<ThisProj>.ACTION.'Go to 0 Show'
					}
					//.
					PARAM.01
					{
						TYPE = ITEM
						NAME = "Action01"
						LOCAL = 1
						FORMAT = 0
						HIDE = 1
						CURRENT = $<ThisProj>.ACTION.' 01'
						OPTIONS
						{
							CLASS = ACTION
						}
						VALUE = $<ThisProj>.ACTION.' 01'
					}
					//.
					PARAM.02
					{
						TYPE = ITEM
						NAME = "Action02"
						LOCAL = 1
						FORMAT = 0
						HIDE = 1
						CURRENT = $<ThisProj>.ACTION.' 01Stop'
						OPTIONS
						{
							CLASS = ACTION
						}
						VALUE = $<ThisProj>.ACTION.' 01Stop'
					}
				}
				//
				ACTION.03
				{
					TYPE = UNILIST
					NAME = ""
					ICON
					{
						NAME = "UNILIST"
						SOURCE = RESOURCE
					}
					BODY()
					/**BODY**/
					{
						$<Action00>
						{
							PLAY = 1
						}
						SYS
						{
							DELAY = 1
						}
						$<Action01>
						{
							PLAY = 1
							WAIT = STOP
						}
					}
					/**BODY**/
					//.
					PARAM.00
					{
						TYPE = ITEM
						NAME = "Action00"
						LOCAL = 1
						FORMAT = 0
						HIDE = 1
						CURRENT = $<ThisProj>.ACTION.'Go to 25 Hide'
						OPTIONS
						{
							CLASS = ACTION
						}
						VALUE = $<ThisProj>.ACTION.'Go to 25 Hide'
					}
					//.
					PARAM.01
					{
						TYPE = ITEM
						NAME = "Action01"
						LOCAL = 1
						FORMAT = 0
						HIDE = 1
						CURRENT = $<ThisProj>.ACTION.''
						OPTIONS
						{
							CLASS = ACTION
						}
						VALUE = $<ThisProj>.ACTION.''
					}
				}
				//
				ACTION.04
				{
					TYPE = SCRIPT
					NAME = " 01Stop"
					DESCR = "    "
					INFO = "         ."
					ICON
					{
						NAME = "Node.ico"
						SOURCE = FILE
					}
					OVERLAY
					{
						ICON
						{
							NAME = "ov.Play.ico"
							SOURCE = FILE
						}
					}
					BODY()
					/**BODY**/
					{
						IFNOT."$<>"
						{
							SYS.OUTPUT = "    "
							RETURN = 1
						}
						IF."$<>==SEEK"
						{
							$<>.SEEK = $<>	
							SYS.OUTPUT = "$</v>    '$</v>'"  
							RETURN = 1
						}
						IF."$<>==PLAY"
						{
							$<>.PLAY
							{
								RANGE = $<>, $<> 
								SPEED = $<>
								REPEAT = $<>
							}
							IF.$<>.$<>.PLAY.REPEAT = -1
							$<>.PLAY = 1
							SYS.OUTPUT = "$</v>    '$</v>'  '$</v>' ($<> (-))"
							IFNOT.$<>
							{
								$<>.WAIT = STOP
								SYS.OUTPUT = "$</v> "  
							}
							RETURN = 1
						}
						IF."$<>==STOP"
						{
							$<>.STOP = 1
							SYS.OUTPUT = "$</v> "  
							RETURN = 1
						}
						IF."$<>==PLAY_TO"
						{
							$<>.PLAY.SPEED = $<>
							$<>.PLAY_TO = $<>
							SYS.OUTPUT = "$</v>     '$</v>'"
						}
						$<>.WAIT = STOP
						SYS.OUTPUT = "$</v> "  
					}
					/**BODY**/
					//.
					PARAM.00
					{
						TYPE = ITEM
						NAME = ""
						DESCR = "     "
						LOCAL = 1
						FORMAT = 0
						SIGNIFICANCE = 1
						CURRENT = $<ThisScene>.NODE.'Dummy_cam'
						OPTIONS
						{
							CLASS = NODE, GROUP|NODE
						}
						VALUE = $<ThisScene>.NODE.'Dummy_cam'
					}
					//.
					PARAM.01
					{
						TYPE = VARIANT
						NAME = ""
						DESCR = "    "
						LOCAL = 1
						FORMAT = 0
						SIGNIFICANCE = 1
						CURRENT = STOP
						OPTIONS
						{
							TYPE = STRING
							ITEM.00
							{
								NAME = ""
								VALUE = PLAY
							}
							ITEM.01
							{
								NAME = ""
								VALUE = STOP
							}
							ITEM.02
							{
								NAME = "  "
								VALUE = PLAY_TO
							}
							ITEM.03
							{
								NAME = " "
								VALUE = SEEK
							}
						}
						//Rule
						RULE.00
						{
							VALUE = STOP
							CONDITION = "=="
							DISABLE = '', '', '', '', '', ''
						}
						//Rule
						RULE.01
						{
							VALUE = PLAY
							CONDITION = "=="
							DISABLE = ''
						}
						//Rule
						RULE.02
						{
							VALUE = PLAY_TO
							CONDITION = "=="
							DISABLE = '', '', '', ''
						}
						//Rule
						RULE.03
						{
							VALUE = SEEK
							CONDITION = "=="
							DISABLE = '', '', '', '', ''
						}
						VALUE = STOP
					}
					//.
					PARAM.02
					{
						TYPE = TIME
						NAME = ""
						DESCR = "  "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						SIGNIFICANCE = 1
						CURRENT = 0
						OPTIONS
						{
							STEP = 0.040000
							MIN = 0.000000
						}
						VALUE = 0
					}
					//.
					PARAM.03
					{
						TYPE = TIME
						NAME = ""
						DESCR = "   (In)"
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						SIGNIFICANCE = 1
						CURRENT = 0
						OPTIONS
						{
							STEP = 0.040000
							MIN = 0.000000
						}
						VALUE = 0
					}
					//.
					PARAM.04
					{
						TYPE = TIME
						NAME = ""
						DESCR = "   (Out)"
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						SIGNIFICANCE = 1
						CURRENT = 1
						OPTIONS
						{
							STEP = 0.040000
							MIN = 0.000000
						}
						VALUE = 1
					}
					//.
					PARAM.05
					{
						TYPE = FLOAT
						NAME = ""
						DESCR = "  ( ,  <0)"
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = 1
						OPTIONS
						{
							STEP = 0.050000
						}
						VALUE = 1
					}
					//.
					PARAM.06
					{
						TYPE = VARIANT
						NAME = ""
						DESCR = " "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = 0
						OPTIONS
						{
							TYPE = NUMBER
							ITEM.00
							{
								NAME = ""
								VALUE = 0
							}
							ITEM.01
							{
								NAME = ""
								VALUE = 1
							}
						}
						//Rule
						RULE.00
						{
							VALUE = 1
							CONDITION = "=="
							DISABLE = ''
						}
						VALUE = 0
					}
					//.
					PARAM.07
					{
						TYPE = NUMBER
						NAME = ""
						DESCR = "  "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = 1
						OPTIONS
						{
							STEP = 1.000000
							MIN = 1.000000
						}
						VALUE = 1
					}
				}
			}
			EXPAND = 0
		}
		//.
		GROUP.13
		{
			TYPE = ACTION
			NAME = ""
			ITEMS
			{
				//
				ACTION.00
				{
					TYPE = SCRIPT
					NAME = " "
					DESCR = "    "
					ICON
					{
						NAME = "Node.ico"
						SOURCE = FILE
					}
					BODY()
					/**BODY**/
					{
						IFNOT."$<>"
						{
							SYS.OUTPUT = "    "
							RETURN = 1
						}
						IF."$< >"
						{
							$<>.RESET = 1
							SYS.OUTPUT = "$</v>     "
							SYS.WAIT = 1
							$<ThisItem>.RESET = 1
							RETURN = 1
						}
						$<>.SET.HIDE = $<>
						IF.$<>.SYS.OUTPUT = "$</v> "
						IFNOT.$<>.SYS.OUTPUT = "$</v> "
						IFNOT.$<> 
						{
							RETURN = 1
						}
						$<>.SET
						{
							POS = $<>
							ROT = $<>
							SCL = $<>
						}            
					}
					/**BODY**/
					//.
					PARAM.00
					{
						TYPE = ITEM
						NAME = ""
						DESCR = "    "
						LOCAL = 1
						FORMAT = 0
						SIGNIFICANCE = 1
						CURRENT = $<ThisScene>.NODE.'!Actor'
						OPTIONS
						{
							CLASS = NODE, GROUP|NODE
						}
						VALUE = $<ThisScene>.NODE.'!Actor'
					}
					//.
					PARAM.01
					{
						TYPE = BOOL
						NAME = " "
						DESCR = "      "
						LOCAL = 1
						FORMAT = 0
						CURRENT = 0
						OPTIONS
						{
							TYPE = INTEGER
							ITEM.00
							{
								NAME = ""
								VALUE = 1
							}
							ITEM.01
							{
								NAME = ""
								VALUE = 0
							}
						}
						//Rule
						RULE.00
						{
							VALUE = 1
							CONDITION = "=="
							DISABLE = '', '', '', '', ''
						}
						VALUE = 0
					}
					//.
					PARAM.02
					{
						TYPE = BOOL
						NAME = ""
						DESCR = " "
						LOCAL = 1
						FORMAT = 0
						GET = "$<>.SET.HIDE"
						CURRENT = 0
						OPTIONS
						{
							TYPE = INTEGER
							ITEM.00
							{
								NAME = ""
								VALUE = 1
							}
							ITEM.01
							{
								NAME = ""
								VALUE = 0
							}
						}
						VALUE = 0
					}
					//.
					PARAM.03
					{
						TYPE = BOOL
						NAME = ""
						DESCR = "   "
						LOCAL = 1
						FORMAT = 0
						CURRENT = 0
						OPTIONS
						{
							TYPE = INTEGER
							ITEM.00
							{
								NAME = ""
								VALUE = 1
							}
							ITEM.01
							{
								NAME = ""
								VALUE = 0
							}
						}
						//Rule
						RULE.00
						{
							VALUE = 0
							CONDITION = "=="
							DISABLE = '', '', ''
						}
						VALUE = 0
					}
					//.
					PARAM.04
					{
						TYPE = VECTOR
						NAME = ""
						DESCR = "      "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						GET = "$<>.SET.POS"
						CURRENT = 0, 0, 0
						OPTIONS
						{
							STEP = 1.000000
						}
						VALUE = 0, 0, 0
					}
					//.
					PARAM.05
					{
						TYPE = VECTOR
						NAME = ""
						DESCR = "     "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						GET = "$<>.SET.ROT"
						CURRENT = 0, 0, 0
						OPTIONS
						{
							STEP = 0.100000
						}
						VALUE = 0, 0, 0
					}
					//.
					PARAM.06
					{
						TYPE = VECTOR
						NAME = ""
						DESCR = "    ()"
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						GET = "$<>.SET.SCL"
						CURRENT = 1, 1, 1
						OPTIONS
						{
							STEP = 0.010000
						}
						VALUE = 1, 1, 1
					}
				}
				//
				ACTION.01
				{
					TYPE = SCRIPT
					NAME = " "
					DESCR = "    "
					ICON
					{
						NAME = "Node.ico"
						SOURCE = FILE
					}
					BODY()
					/**BODY**/
					{
						IFNOT."$<>"
						{
							SYS.OUTPUT = "    "
							RETURN = 1
						}
						IF."$< >"
						{
							$<>.RESET = 1
							SYS.OUTPUT = "$</v>     "
							SYS.WAIT = 1
							$<ThisItem>.RESET = 1
							RETURN = 1
						}
						$<>.SET.HIDE = $<>
						IF.$<>.SYS.OUTPUT = "$</v> "
						IFNOT.$<>.SYS.OUTPUT = "$</v> "
						IFNOT.$<> 
						{
							RETURN = 1
						}
						$<>.SET
						{
							POS = $<>
							ROT = $<>
							SCL = $<>
						}            
					}
					/**BODY**/
					//.
					PARAM.00
					{
						TYPE = ITEM
						NAME = ""
						DESCR = "    "
						LOCAL = 1
						FORMAT = 0
						SIGNIFICANCE = 1
						CURRENT = $<ThisScene>.NODE.'!Actor'
						OPTIONS
						{
							CLASS = NODE, GROUP|NODE
						}
						VALUE = $<ThisScene>.NODE.'!Actor'
					}
					//.
					PARAM.01
					{
						TYPE = BOOL
						NAME = " "
						DESCR = "      "
						LOCAL = 1
						FORMAT = 0
						CURRENT = 0
						OPTIONS
						{
							TYPE = INTEGER
							ITEM.00
							{
								NAME = ""
								VALUE = 1
							}
							ITEM.01
							{
								NAME = ""
								VALUE = 0
							}
						}
						//Rule
						RULE.00
						{
							VALUE = 1
							CONDITION = "=="
							DISABLE = '', '', '', '', ''
						}
						VALUE = 0
					}
					//.
					PARAM.02
					{
						TYPE = BOOL
						NAME = ""
						DESCR = " "
						LOCAL = 1
						FORMAT = 0
						GET = "$<>.SET.HIDE"
						CURRENT = 1
						OPTIONS
						{
							TYPE = INTEGER
							ITEM.00
							{
								NAME = ""
								VALUE = 1
							}
							ITEM.01
							{
								NAME = ""
								VALUE = 0
							}
						}
						VALUE = 1
					}
					//.
					PARAM.03
					{
						TYPE = BOOL
						NAME = ""
						DESCR = "   "
						LOCAL = 1
						FORMAT = 0
						CURRENT = 0
						OPTIONS
						{
							TYPE = INTEGER
							ITEM.00
							{
								NAME = ""
								VALUE = 1
							}
							ITEM.01
							{
								NAME = ""
								VALUE = 0
							}
						}
						//Rule
						RULE.00
						{
							VALUE = 0
							CONDITION = "=="
							DISABLE = '', '', ''
						}
						VALUE = 0
					}
					//.
					PARAM.04
					{
						TYPE = VECTOR
						NAME = ""
						DESCR = "      "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						GET = "$<>.SET.POS"
						CURRENT = 0, 0, 0
						OPTIONS
						{
							STEP = 1.000000
						}
						VALUE = 0, 0, 0
					}
					//.
					PARAM.05
					{
						TYPE = VECTOR
						NAME = ""
						DESCR = "     "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						GET = "$<>.SET.ROT"
						CURRENT = 0, 0, 0
						OPTIONS
						{
							STEP = 0.100000
						}
						VALUE = 0, 0, 0
					}
					//.
					PARAM.06
					{
						TYPE = VECTOR
						NAME = ""
						DESCR = "    ()"
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						GET = "$<>.SET.SCL"
						CURRENT = 1, 1, 1
						OPTIONS
						{
							STEP = 0.010000
						}
						VALUE = 1, 1, 1
					}
				}
				//
				ACTION.02
				{
					TYPE = SCRIPT
					NAME = "  0"
					DESCR = "    "
					INFO = "         ."
					ICON
					{
						NAME = "Node.ico"
						SOURCE = FILE
					}
					OVERLAY
					{
						ICON
						{
							NAME = "ov.Play.ico"
							SOURCE = FILE
						}
					}
					BODY()
					/**BODY**/
					{
						IFNOT."$<>"
						{
							SYS.OUTPUT = "    "
							RETURN = 1
						}
						IF."$<>==SEEK"
						{
							$<>.SEEK = $<>	
							SYS.OUTPUT = "$</v>    '$</v>'"  
							RETURN = 1
						}
						IF."$<>==PLAY"
						{
							$<>.PLAY
							{
								RANGE = $<>, $<> 
								SPEED = $<>
								REPEAT = $<>
							}
							IF.$<>.$<>.PLAY.REPEAT = -1
							$<>.PLAY = 1
							SYS.OUTPUT = "$</v>    '$</v>'  '$</v>' ($<> (-))"
							IFNOT.$<>
							{
								$<>.WAIT = STOP
								SYS.OUTPUT = "$</v> "  
							}
							RETURN = 1
						}
						IF."$<>==STOP"
						{
							$<>.STOP = 1
							SYS.OUTPUT = "$</v> "  
							RETURN = 1
						}
						IF."$<>==PLAY_TO"
						{
							$<>.PLAY.SPEED = $<>
							$<>.PLAY_TO = $<>
							SYS.OUTPUT = "$</v>     '$</v>'"
						}
						$<>.WAIT = STOP
						SYS.OUTPUT = "$</v> "  
					}
					/**BODY**/
					//.
					PARAM.00
					{
						TYPE = ITEM
						NAME = ""
						DESCR = "     "
						LOCAL = 1
						FORMAT = 0
						SIGNIFICANCE = 1
						CURRENT = $<ThisScene>.NODE.'!Actor'
						OPTIONS
						{
							CLASS = NODE, GROUP|NODE
						}
						VALUE = $<ThisScene>.NODE.'!Actor'
					}
					//.
					PARAM.01
					{
						TYPE = VARIANT
						NAME = ""
						DESCR = "    "
						LOCAL = 1
						FORMAT = 0
						SIGNIFICANCE = 1
						CURRENT = SEEK
						OPTIONS
						{
							TYPE = STRING
							ITEM.00
							{
								NAME = ""
								VALUE = PLAY
							}
							ITEM.01
							{
								NAME = ""
								VALUE = STOP
							}
							ITEM.02
							{
								NAME = "  "
								VALUE = PLAY_TO
							}
							ITEM.03
							{
								NAME = " "
								VALUE = SEEK
							}
						}
						//Rule
						RULE.00
						{
							VALUE = STOP
							CONDITION = "=="
							DISABLE = '', '', '', '', '', ''
						}
						//Rule
						RULE.01
						{
							VALUE = PLAY
							CONDITION = "=="
							DISABLE = ''
						}
						//Rule
						RULE.02
						{
							VALUE = PLAY_TO
							CONDITION = "=="
							DISABLE = '', '', '', ''
						}
						//Rule
						RULE.03
						{
							VALUE = SEEK
							CONDITION = "=="
							DISABLE = '', '', '', '', ''
						}
						VALUE = SEEK
					}
					//.
					PARAM.02
					{
						TYPE = TIME
						NAME = ""
						DESCR = "  "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						SIGNIFICANCE = 1
						CURRENT = 0
						OPTIONS
						{
							STEP = 0.040000
							MIN = 0.000000
						}
						VALUE = 0
					}
					//.
					PARAM.03
					{
						TYPE = TIME
						NAME = ""
						DESCR = "   (In)"
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						SIGNIFICANCE = 1
						CURRENT = 0
						OPTIONS
						{
							STEP = 0.040000
							MIN = 0.000000
						}
						VALUE = 0
					}
					//.
					PARAM.04
					{
						TYPE = TIME
						NAME = ""
						DESCR = "   (Out)"
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						SIGNIFICANCE = 1
						CURRENT = 1
						OPTIONS
						{
							STEP = 0.040000
							MIN = 0.000000
						}
						VALUE = 1
					}
					//.
					PARAM.05
					{
						TYPE = FLOAT
						NAME = ""
						DESCR = "  ( ,  <0)"
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = 1
						OPTIONS
						{
							STEP = 0.050000
						}
						VALUE = 1
					}
					//.
					PARAM.06
					{
						TYPE = VARIANT
						NAME = ""
						DESCR = " "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = 0
						OPTIONS
						{
							TYPE = NUMBER
							ITEM.00
							{
								NAME = ""
								VALUE = 0
							}
							ITEM.01
							{
								NAME = ""
								VALUE = 1
							}
						}
						//Rule
						RULE.00
						{
							VALUE = 1
							CONDITION = "=="
							DISABLE = ''
						}
						VALUE = 0
					}
					//.
					PARAM.07
					{
						TYPE = NUMBER
						NAME = ""
						DESCR = "  "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = 1
						OPTIONS
						{
							STEP = 1.000000
							MIN = 1.000000
						}
						VALUE = 1
					}
				}
				//
				ACTION.03
				{
					TYPE = SCRIPT
					NAME = "  1"
					DESCR = "    "
					INFO = "         ."
					ICON
					{
						NAME = "Node.ico"
						SOURCE = FILE
					}
					OVERLAY
					{
						ICON
						{
							NAME = "ov.Play.ico"
							SOURCE = FILE
						}
					}
					BODY()
					/**BODY**/
					{
						IFNOT."$<>"
						{
							SYS.OUTPUT = "    "
							RETURN = 1
						}
						IF."$<>==SEEK"
						{
							$<>.SEEK = $<>	
							SYS.OUTPUT = "$</v>    '$</v>'"  
							RETURN = 1
						}
						IF."$<>==PLAY"
						{
							$<>.PLAY
							{
								RANGE = $<>, $<> 
								SPEED = $<>
								REPEAT = $<>
							}
							IF.$<>.$<>.PLAY.REPEAT = -1
							$<>.PLAY = 1
							SYS.OUTPUT = "$</v>    '$</v>'  '$</v>' ($<> (-))"
							IFNOT.$<>
							{
								$<>.WAIT = STOP
								SYS.OUTPUT = "$</v> "  
							}
							RETURN = 1
						}
						IF."$<>==STOP"
						{
							$<>.STOP = 1
							SYS.OUTPUT = "$</v> "  
							RETURN = 1
						}
						IF."$<>==PLAY_TO"
						{
							$<>.PLAY.SPEED = $<>
							$<>.PLAY_TO = $<>
							SYS.OUTPUT = "$</v>     '$</v>'"
						}
						$<>.WAIT = STOP
						SYS.OUTPUT = "$</v> "  
					}
					/**BODY**/
					//.
					PARAM.00
					{
						TYPE = ITEM
						NAME = ""
						DESCR = "     "
						LOCAL = 1
						FORMAT = 0
						SIGNIFICANCE = 1
						CURRENT = $<ThisScene>.NODE.'!Actor'
						OPTIONS
						{
							CLASS = NODE, GROUP|NODE
						}
						VALUE = $<ThisScene>.NODE.'!Actor'
					}
					//.
					PARAM.01
					{
						TYPE = VARIANT
						NAME = ""
						DESCR = "    "
						LOCAL = 1
						FORMAT = 0
						SIGNIFICANCE = 1
						CURRENT = SEEK
						OPTIONS
						{
							TYPE = STRING
							ITEM.00
							{
								NAME = ""
								VALUE = PLAY
							}
							ITEM.01
							{
								NAME = ""
								VALUE = STOP
							}
							ITEM.02
							{
								NAME = "  "
								VALUE = PLAY_TO
							}
							ITEM.03
							{
								NAME = " "
								VALUE = SEEK
							}
						}
						//Rule
						RULE.00
						{
							VALUE = STOP
							CONDITION = "=="
							DISABLE = '', '', '', '', '', ''
						}
						//Rule
						RULE.01
						{
							VALUE = PLAY
							CONDITION = "=="
							DISABLE = ''
						}
						//Rule
						RULE.02
						{
							VALUE = PLAY_TO
							CONDITION = "=="
							DISABLE = '', '', '', ''
						}
						//Rule
						RULE.03
						{
							VALUE = SEEK
							CONDITION = "=="
							DISABLE = '', '', '', '', ''
						}
						VALUE = SEEK
					}
					//.
					PARAM.02
					{
						TYPE = TIME
						NAME = ""
						DESCR = "  "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						SIGNIFICANCE = 1
						CURRENT = 0.36
						OPTIONS
						{
							STEP = 0.040000
							MIN = 0.000000
						}
						VALUE = 0.36
					}
					//.
					PARAM.03
					{
						TYPE = TIME
						NAME = ""
						DESCR = "   (In)"
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						SIGNIFICANCE = 1
						CURRENT = 0
						OPTIONS
						{
							STEP = 0.040000
							MIN = 0.000000
						}
						VALUE = 0
					}
					//.
					PARAM.04
					{
						TYPE = TIME
						NAME = ""
						DESCR = "   (Out)"
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						SIGNIFICANCE = 1
						CURRENT = 1
						OPTIONS
						{
							STEP = 0.040000
							MIN = 0.000000
						}
						VALUE = 1
					}
					//.
					PARAM.05
					{
						TYPE = FLOAT
						NAME = ""
						DESCR = "  ( ,  <0)"
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = 1
						OPTIONS
						{
							STEP = 0.050000
						}
						VALUE = 1
					}
					//.
					PARAM.06
					{
						TYPE = VARIANT
						NAME = ""
						DESCR = " "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = 0
						OPTIONS
						{
							TYPE = NUMBER
							ITEM.00
							{
								NAME = ""
								VALUE = 0
							}
							ITEM.01
							{
								NAME = ""
								VALUE = 1
							}
						}
						//Rule
						RULE.00
						{
							VALUE = 1
							CONDITION = "=="
							DISABLE = ''
						}
						VALUE = 0
					}
					//.
					PARAM.07
					{
						TYPE = NUMBER
						NAME = ""
						DESCR = "  "
						LOCAL = 1
						FORMAT = 0
						INDENT = 1
						CURRENT = 1
						OPTIONS
						{
							STEP = 1.000000
							MIN = 1.000000
						}
						VALUE = 1
					}
				}
			}
			EXPAND = 0
		}
	}
	EXPAND = 1
}
//=====================================================================================
//
FOLDER.PRESET
{
	TYPE = PRESET
	EXPAND = 0
}
//=====================================================================================
//
FOLDER.PARAM
{
	TYPE = PARAM
	EXPAND = 0
}
//=====================================================================================
//
FOLDER.MEDIA
{
	EXPAND = 0
}
//=====================================================================================
//
FOLDER.MISC
{
	EXPAND = 0
}
//=====================================================================================
} //PROJECT
//*************************************************************************************
//*************************************************************************************
// mars.vs
// VS Hotset File, Format Version 2.1
//*************************************************************************************
HOTSET
{
PAD.SIZE = 977, 505
VERSION = 2, 1
//
HOTPAGE.CONTROLLER
{
	BACKGROUND
	{
		CUSTOM = 0
		COLOR = 113, 111, 100
	}
	ITEMS
	{
		//
		HOTBAR.00
		{
			NAME = "Rover actions"
			FLOATPOS = 44, 37
			CAPTION = 2
			ORDER = 0, 1, -1, 2, 3, 4, 5
			ITEMS
			{
				//.
				BUTTON.00
				{
					LINK.ACTION = PROJECT.'$<ThisProjName>'.ACTION.'WakeUp'
					NAME = "WakeUp"
					ICON
					{
						NAME = "SCRIPT"
						SOURCE = IMAGE_LIST
					}
					HOTKEY = 0x001F
				}
				//.
				BUTTON.01
				{
					LINK.ACTION = PROJECT.'$<ThisProjName>'.ACTION.'Sleep'
					NAME = "Sleep"
					ICON
					{
						NAME = "SCRIPT"
						SOURCE = IMAGE_LIST
					}
					HOTKEY = 0x0020
				}
				//.
				BUTTON.02
				{
					LINK.ACTION = PROJECT.'$<ThisProjName>'.ACTION.'DrillStart'
					NAME = "DrillStart"
					ICON
					{
						NAME = "SCRIPT"
						SOURCE = IMAGE_LIST
					}
					HOTKEY = 0x0021
				}
				//.
				BUTTON.03
				{
					LINK.ACTION = PROJECT.'$<ThisProjName>'.ACTION.'DrillEnd'
					NAME = "DrillEnd"
					ICON
					{
						NAME = "SCRIPT"
						SOURCE = IMAGE_LIST
					}
					HOTKEY = 0x0022
				}
				//.
				BUTTON.04
				{
					LINK.ACTION = PROJECT.'$<ThisProjName>'.ACTION.'TestStart'
					NAME = "TestStart"
					ICON
					{
						NAME = "SCRIPT"
						SOURCE = IMAGE_LIST
					}
					HOTKEY = 0x0023
				}
				//.
				BUTTON.05
				{
					LINK.ACTION = PROJECT.'$<ThisProjName>'.ACTION.'TestEnd'
					NAME = "TestEnd"
					ICON
					{
						NAME = "SCRIPT"
						SOURCE = IMAGE_LIST
					}
					HOTKEY = 0x0024
				}
			}
			//This Preset is not executable (for editing only),
			//so button 'Test' has no effect
			PICTURES = -1
			TEXT = 1
			ROWS = 4
			IMAGE.SIZE = 48, 48
			IMAGE.ALPHA = 1
		}
		//
		HOTBAR.01
		{
			NAME = ""
			FLOATPOS = 185, 39
			CAPTION = 2
			ORDER = 0, 1, 2, 3
			ITEMS
			{
				//.
				BUTTON.00
				{
					LINK.ACTION = PROJECT.'$<ThisProjName>'.ACTION.' '
					NAME = ""
					DESCR = "    "
					ICON
					{
						NAME = "ShotGeneral.ico"
						SOURCE = FILE
					}
					OVERLAY
					{
						ICON
						{
							NAME = "ov.ShowOn.ico"
							SOURCE = FILE
						}
					}
				}
				//.
				BUTTON.01
				{
					LINK.ACTION = PROJECT.'$<ThisProjName>'.ACTION.' '
					NAME = ""
					DESCR = "    "
					ICON
					{
						NAME = "ShotGeneral.ico"
						SOURCE = FILE
					}
					OVERLAY
					{
						ICON
						{
							NAME = "ov.ShowOff.ico"
							SOURCE = FILE
						}
					}
				}
				//.
				BUTTON.02
				{
					LINK.ACTION = PROJECT.'$<ThisProjName>'.ACTION.'  0'
					NAME = "  0"
					ICON
					{
						NAME = "ShotGeneral.ico"
						SOURCE = FILE
					}
					OVERLAY
					{
						ICON
						{
							NAME = "ov.GoLeft.ico"
							SOURCE = FILE
						}
					}
				}
				//.
				BUTTON.03
				{
					LINK.ACTION = PROJECT.'$<ThisProjName>'.ACTION.'  1'
					NAME = "  1"
					ICON
					{
						NAME = "ShotGeneral.ico"
						SOURCE = FILE
					}
					OVERLAY
					{
						ICON
						{
							NAME = "ov.GoRight.ico"
							SOURCE = FILE
						}
					}
				}
			}
			//This Preset is not executable (for editing only),
			//so button 'Test' has no effect
			PICTURES = -1
			TEXT = 1
			ROWS = 1
			IMAGE.SIZE = 64, 64
			IMAGE.ALPHA = 1
		}
		//
		HOTBAR.02
		{
			NAME = ""
			FLOATPOS = 502, 39
			CAPTION = 2
			ORDER = 0, 1
			ITEMS
			{
				//.
				BUTTON.00
				{
					LINK.ACTION = PROJECT.'$<ThisProjName>'.ACTION.''
					NAME = ""
					ICON
					{
						NAME = "Camera.ico"
						SOURCE = FILE
					}
				}
				//.
				BUTTON.01
				{
					LINK.ACTION = PROJECT.'$<ThisProjName>'.ACTION.''
					NAME = ""
					ICON
					{
						NAME = "Camera.ico"
						SOURCE = FILE
					}
					OVERLAY
					{
						ICON
						{
							NAME = "ov.Reset.ico"
							SOURCE = FILE
						}
					}
				}
			}
			//This Preset is not executable (for editing only),
			//so button 'Test' has no effect
			PICTURES = -1
			TEXT = 1
			ROWS = 1
			IMAGE.SIZE = 64, 64
			IMAGE.ALPHA = 1
		}
	}
	EXPAND = 0
}
//=====================================================================================
//
PATH_LIST.PATH_SET
{
	EXPAND = 0
}
//=====================================================================================
} //HOTSET
//*************************************************************************************
